Announcement

Collapse
No announcement yet.

Catalyst 12-3 released

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Catalyst 12-3 released

    Did not do any tests up to now, but thought someone might

    http://support.amd.com/us/gpudownloa...ded_linux.aspx

  • #2
    Originally posted by Hibbelharry View Post
    Did not do any tests up to now, but thought someone might

    http://support.amd.com/us/gpudownloa...ded_linux.aspx
    The obvious questions ensue.

    What did it fix?

    (More likely)

    What did they break this month that was working last month?

    (and finally)

    Embedded Linux? Is this even the right driver for desktop users?

    Comment


    • #3
      The driver says it is FGLRX 8.95, which is Catalyst 12.2

      Comment


      • #4
        EGL? Intresting. It work on typical Linux distributions with EGL applications? (Like KWin for OpenGL ES.)

        Comment


        • #5
          The driver says it is FGLRX 8.95, which is Catalyst 12.2
          Hmmm. I just found it linked on an german portal which I was crawling like everyday... See

          http://www.computerbase.de/downloads...-linux-driver/

          Maybe they made a mistake... Hmmmm. Need to take a closer look when I get at my private machine. Anyone tried ?

          Comment


          • #6
            Originally posted by Hibbelharry View Post
            Hmmm. I just found it linked on an german portal which I was crawling like everyday... See

            http://www.computerbase.de/downloads...-linux-driver/

            Maybe they made a mistake... Hmmmm. Need to take a closer look when I get at my private machine. Anyone tried ?
            After looking into it, it's Catalyst 12.2-based and with desktop GPUs it will print an Unsupported Hardware watermark on the screen.

            Comment


            • #7
              Anyone tried the 12.4 OpenCL beta for now?
              http://developer.amd.com/Downloads/O...iversLinux.tgz Version 8.96.0

              Comment


              • #8
                Dear AMD,

                Would it kill any of you idiots to update the documentation instead of shipping some that's 10 years old and lies about what Linux is and refers to Lindows and XFree86?

                If you're going to ship this crap that's so outdated that it only serves to increase the download size and make you look retarded, please just strip all of it out. I don't think any of it even applies to a distribution newer than around 2002.

                Comment


                • #9
                  It may not be obvious, but old distros are a big part of the workstation business. RHEL 4.x support was a priority until very recently.

                  Comment


                  • #10
                    Originally posted by bridgman View Post
                    It may not be obvious, but old distros are a big part of the workstation business. RHEL 4.x support was a priority until very recently.
                    So is there any chance at all that this would work with the current stable X server? I'm guessing no since you usually don't.

                    Comment


                    • #11
                      Not sure... official support for 1.12 is in a later release (in beta now) but I don't know how much of the work made it into Cat 12.3.

                      You've probably noticed that the delay between X server release and fglrx support is steadily shrinking, but it's not zero yet, at least not for production drivers.
                      Last edited by bridgman; 03-23-2012, 10:44 AM.

                      Comment


                      • #12
                        Originally posted by bridgman View Post
                        Not sure... official support for 1.12 is in a later release (in beta now) but I don't know how much of the work made it into Cat 12.3.

                        You've probably noticed that the delay between X server release and fglrx support is steadily shrinking, but it's not zero yet, at least not for production drivers.
                        Yes, but the ABI breakage hasn't been severe in any particular release in a while to the best of my knowledge, unless I've missed something. Recent X server releases have mostly been bug fixing and cleanup. Major new features seem to never land. If RandR 1.4 ever did land you could still just fudge like you do now and disable the server extension and load your own older one.

                        I'm not seeing really why Ubuntu is softballing you guys except to encourage you to make life for other distributions harder since the pressure is off to fix up FGLRX for another 6 months.

                        Comment


                        • #13
                          Originally posted by fritsch View Post
                          Anyone tried the 12.4 OpenCL beta for now?
                          http://developer.amd.com/Downloads/O...iversLinux.tgz Version 8.96.0
                          This driver seems to work but you get a "Testing use only" watermark.

                          Catalyst Version 12.4
                          OpenGL Version 4.2.11627
                          Driver Packaging Version 8.96-120315a-135397E

                          openSUSE 12.1 x86_64
                          AMD Radeon 7950

                          Comment


                          • #14
                            Originally posted by foxfire View Post
                            This driver seems to work but you get a "Testing use only" watermark.

                            Catalyst Version 12.4
                            OpenGL Version 4.2.11627
                            Driver Packaging Version 8.96-120315a-135397E

                            openSUSE 12.1 x86_64
                            AMD Radeon 7950
                            Search forum for "lolsed"

                            Comment


                            • #15
                              Originally posted by DaemonFC View Post
                              Dear AMD,

                              Would it kill any of you idiots to update the documentation instead of shipping some that's 10 years old and lies about what Linux is and refers to Lindows and XFree86?

                              If you're going to ship this crap that's so outdated that it only serves to increase the download size and make you look retarded, please just strip all of it out. I don't think any of it even applies to a distribution newer than around 2002.
                              Dude, you just sound like an a$$hat who doesn't know $hit. If you want to troll some people go post pictures of animal abuse on 4chan or something

                              Comment

                              Working...
                              X